package betterquesting.api.properties.basic;

import java.lang.Enum;
import net.minecraft.nbt.NBTBase;
import net.minecraft.nbt.NBTTagString;
import net.minecraft.util.ResourceLocation;

/* loaded from: betterquesting_api_properties_basic.jar:betterquesting/api/properties/basic/PropertyTypeEnum.class */
public class PropertyTypeEnum<E extends Enum<E>> extends PropertyTypeBase<E> {
    private final Class<E> eClazz;

    public PropertyTypeEnum(ResourceLocation key, E def) {
        super(key, def);
        this.eClazz = def.getDeclaringClass();
    }

    /* renamed from: readValue, reason: merged with bridge method [inline-methods] */
    public E m3readValue(NBTBase nBTBase) {
        if (nBTBase == null || nBTBase.func_74732_a() != 8) {
            return (E) getDefault();
        }
        try {
            return (E) Enum.valueOf(this.eClazz, ((NBTTagString) nBTBase).func_150285_a_());
        } catch (Exception e) {
            return (E) getDefault();
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    public NBTBase writeValue(E value) {
        if (value == null) {
            return new NBTTagString(((Enum) getDefault()).toString());
        }
        return new NBTTagString(value.toString());
    }
}
